<?
ob_start();
session_start();

if( isset($_REQUEST['resume']) && (int)$_REQUEST['resume'] == 1 && isset($_SESSION['argv_manage_news']) )
{
	header('Location:manage_news.php' . $_SESSION['argv_manage_news']);
	exit();
}

if( isset($_SESSION['init_info']) )
{
	if( ( $str_temp = trim($_SESSION['init_info']) ) != '' )
		$str_init_info = $str_temp;

	unset($_SESSION['init_info']);
}

include('includes/check_level.php');

$str_query_condition = '1';

if( isset($_REQUEST['news_cate_id']) && ( $uint_news_cate_id = (int)$_REQUEST['news_cate_id'] ) > 0 )
{
	$static_uint_news_cate_id = $uint_news_cate_id;
	$str_query_condition .= ' AND `news_cates_news`.`NewsCateId` = \'' . (int)$static_uint_news_cate_id . '\'';
}
else
	$static_uint_news_cate_id = 0;

if( isset($_REQUEST['author_id']) && ( $int_author_id = (int)$_REQUEST['author_id'] ) >= 0 )
{
	$static_int_author_id = $int_author_id;
	$str_query_condition .= ' AND `news`.`AuthorId` = \'' . (int)$static_int_author_id . '\'';
}
else
	$static_int_author_id = -1;

if( isset($_REQUEST['subject_keyword']) && ( $str_subject_keyword = process_quotes(strip_tags($_REQUEST['subject_keyword'])) ) )
{
	$static_str_subject_keyword = $str_subject_keyword;
	$str_query_condition .= ' AND `news`.`Subject` LIKE \'%' . mysqli_real_escape_string($obj_class_admin->sql_connect, $static_str_subject_keyword) . '%\'';
}
else
	$static_str_subject_keyword = '';

if( isset($_REQUEST['start_date']) && ( $str_start_date = remove_quotes(strip_tags($_REQUEST['start_date'])) ) )
{
	$static_str_start_date = $str_start_date;
	$str_query_condition .= ' AND `news`.`Date` >= \'' . mysqli_real_escape_string($obj_class_admin->sql_connect, $static_str_start_date) . '\'';
}
else
	$static_str_start_date = '';

if( isset($_REQUEST['end_date']) && ( $str_end_date = remove_quotes(strip_tags($_REQUEST['end_date'])) ) )
{
	$static_str_end_date = $str_end_date;
	$str_query_condition .= ' AND `news`.`Date` <= \'' . mysqli_real_escape_string($obj_class_admin->sql_connect, $static_str_end_date) . '\'';
}
else
	$static_str_end_date = '';

if( isset($_REQUEST['is_top']) && ( $int_is_top = (int)$_REQUEST['is_top'] ) >= 0 && $int_is_top <= 1 )
{
	$static_int_is_top = $int_is_top;
	$str_query_condition .= ' AND `news`.`IsTop` = \'' . $static_int_is_top . '\'';
}
else
	$static_int_is_top = -1;

if( isset($_REQUEST['is_local_top']) && ( $int_is_local_top = (int)$_REQUEST['is_local_top'] ) >= 0 && $int_is_local_top <= 1 )
{
	$static_int_is_local_top = $int_is_local_top;
	$str_query_condition .= ' AND `news`.`IsLocalTop` = \'' . $static_int_is_local_top . '\'';
}
else
	$static_int_is_local_top = -1;

if( isset($_REQUEST['active']) && ( $int_active = (int)$_REQUEST['active'] ) >= 0 && $int_active <= 1 )
{
	$static_int_active = $int_active;
	$str_query_condition .= ' AND `news`.`Active` = \'' . $static_int_active . '\'';
}
else
	$static_int_active = -1;

if( !isset($_REQUEST['row_count']) || ( $uint_row_count = (int)$_REQUEST['row_count'] ) <= 0 )
	$static_uint_row_count = 15;
else
	$static_uint_row_count = $uint_row_count;

if( !isset($_REQUEST['page_no']) || ( $uint_page_no = (int)$_REQUEST['page_no'] ) <= 0 )
	$static_uint_page_no = 1;
else
	$static_uint_page_no = $uint_page_no;

$arr_page_info = $obj_class_admin->page_info('`news`.`NewsId`', 'news` LEFT JOIN `news_cates_news` ON `news_cates_news`.`NewsId` = `news`.`NewsId', $str_query_condition, $static_uint_row_count);

if( $arr_page_info['PageCount'] && $static_uint_page_no > $arr_page_info['PageCount'] )
{
	header('Location:manage_news.php?news_cate_id=' . $static_uint_news_cate_id . '&author_id=' . $static_int_author_id . '&subject_keyword=' . $static_str_subject_keyword . '&start_date=' . $static_str_start_date . '&end_date=' . $static_str_end_date . '&is_top=' . $static_int_is_top . '&is_local_top=' . $static_int_is_local_top . '&active=' . $static_int_active . '&row_count=' . $static_uint_row_count . '&page_no=' . $arr_page_info['PageCount']);
	exit();
}

$_SESSION['argv_manage_news'] = '?news_cate_id=' . $static_uint_news_cate_id . '&author_id=' . $static_int_author_id . '&subject_keyword=' . $static_str_subject_keyword . '&start_date=' . $static_str_start_date . '&end_date=' . $static_str_end_date . '&is_top=' . $static_int_is_top . '&is_local_top=' . $static_int_is_local_top . '&active=' . $static_int_active . '&row_count=' . $static_uint_row_count . '&page_no=' . $static_uint_page_no;

$arr_news = $obj_class_admin->search_news($static_uint_news_cate_id, $static_int_author_id, $static_str_subject_keyword, $static_str_start_date, $static_str_end_date, $static_int_is_top, $static_int_is_local_top, $static_int_active, ( $static_uint_page_no - 1 ) * $static_uint_row_count, $static_uint_row_count);

$arr_news_cates = $obj_class_admin->get_news_cates();
$arr_authors = $obj_class_admin->get_authors();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="utf-8" lang="utf-8">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta http-equiv="content-language" content="zh-tw" />
	<meta name="robots" content="none" />
	<link rel="stylesheet" type="text/css" href="admin.css" />
	<title>新聞管理</title>
	<script type="text/javascript" src="scripts/jquery.js"></script>
	<script type="text/javascript" src="scripts/check_date_format.js"></script>
	<script type="text/javascript">
<!--
var global_bool_processing = false;

function add_news()
{
	if( global_bool_processing )
		return false;

	window.location = 'add_news.php';
}

function edit_news(static_uint_news_id)
{
	if( global_bool_processing )
		return false;

	window.location = 'edit_news.php?news_id=' + static_uint_news_id;
}

function manage_news_pictures(static_uint_news_id)
{
	if( global_bool_processing )
		return false;

	window.location = 'manage_news_pictures.php?news_id=' + static_uint_news_id;
}

function manage_news_videos(static_uint_news_id)
{
	if( global_bool_processing )
		return false;

	window.location = 'manage_news_videos.php?news_id=' + static_uint_news_id;
}

function do_search_news()
{
	if( global_bool_processing )
		return false;

	if( document.search_news.start_date.value != '' && !check_date_format(document.search_news.start_date.value) )
	{
		alert('請輸入正確的查詢起始日期格式，如<?=date('Y-m-d')?>');
		document.search_news.start_date.value = '';

		return false;
	}

	if( document.search_news.end_date.value != '' && !check_date_format(document.search_news.end_date.value) )
	{
		alert('請輸入正確的查詢結束日期格式，如<?=date('Y-m-d')?>');
		document.search_news.end_date.value = '';

		return false;
	}

	location.replace('manage_news.php?news_cate_id=' + document.search_news.news_cate_id.value + '&author_id=' + document.search_news.author_id.value + '&subject_keyword=' + encodeURIComponent(document.search_news.subject_keyword.value) + '&start_date=' + encodeURIComponent(document.search_news.start_date.value) + '&end_date=' + encodeURIComponent(document.search_news.end_date.value) + '&is_top=' + document.search_news.is_top.value + '&is_local_top=' + document.search_news.is_local_top.value + '&active=' + document.search_news.active.value + '&row_count=<?=$static_uint_row_count?>');

	return false;
}

function do_unset_news_is_top(static_uint_news_id)
{
	if( global_bool_processing )
		return false;

	global_bool_processing = true;

	$.ajax(
	{
		url: 'do_unset_news_is_top.php',
		type: 'POST',
		data: 'news_id=' + static_uint_news_id,
		dataType: 'json',
		success: function(jdata)
		{
			if( jdata['RedirectURL'] )
				location.replace(jdata['RedirectURL']);
			else if( jdata['ErrMessage'] != '' )
				alert(jdata['ErrMessage']);
			else if( jdata['ErrCode'] != '1' )
				alert('Error:' + jdata['ErrCode']);

			if( jdata['ErrCode'] == '1' )
			{
				$('#button_is_top_' + static_uint_news_id).val('設定首頁置頂');
				$('#button_is_top_' + static_uint_news_id).attr('onclick','').unbind('click');
				$('#button_is_top_' + static_uint_news_id).click(function(){ do_set_news_is_top(static_uint_news_id); });

				$('#td_is_top_' + static_uint_news_id).text('╳');
			}

			global_bool_processing = false;
		}
	});

	return true;
}

function do_set_news_is_top(static_uint_news_id)
{
	if( global_bool_processing )
		return false;

	global_bool_processing = true;

	$.ajax(
	{
		url: 'do_set_news_is_top.php',
		type: 'POST',
		data: 'news_id=' + static_uint_news_id,
		dataType: 'json',
		success: function(jdata)
		{
			if( jdata['RedirectURL'] )
				location.replace(jdata['RedirectURL']);
			else if( jdata['ErrMessage'] != '' )
				alert(jdata['ErrMessage']);
			else if( jdata['ErrCode'] != '1' )
				alert('Error:' + jdata['ErrCode']);

			if( jdata['ErrCode'] == '1' )
			{
				$('#button_is_top_' + static_uint_news_id).val('取消首頁置頂');
				$('#button_is_top_' + static_uint_news_id).attr('onclick','').unbind('click');
				$('#button_is_top_' + static_uint_news_id).click(function(){ do_unset_news_is_top(static_uint_news_id); });

				$('#td_is_top_' + static_uint_news_id).text('○');
			}

			global_bool_processing = false;
		}
	});

	return true;
}

function do_unset_news_is_local_top(static_uint_news_id)
{
	if( global_bool_processing )
		return false;

	global_bool_processing = true;

	$.ajax(
	{
		url: 'do_unset_news_is_local_top.php',
		type: 'POST',
		data: 'news_id=' + static_uint_news_id,
		dataType: 'json',
		success: function(jdata)
		{
			if( jdata['RedirectURL'] )
				location.replace(jdata['RedirectURL']);
			else if( jdata['ErrMessage'] != '' )
				alert(jdata['ErrMessage']);
			else if( jdata['ErrCode'] != '1' )
				alert('Error:' + jdata['ErrCode']);

			if( jdata['ErrCode'] == '1' )
			{
				$('#button_is_local_top_' + static_uint_news_id).val('設定新聞置頂');
				$('#button_is_local_top_' + static_uint_news_id).attr('onclick','').unbind('click');
				$('#button_is_local_top_' + static_uint_news_id).click(function(){ do_set_news_is_local_top(static_uint_news_id); });

				$('#td_is_local_top_' + static_uint_news_id).text('╳');
			}

			global_bool_processing = false;
		}
	});

	return true;
}

function do_set_news_is_local_top(static_uint_news_id)
{
	if( global_bool_processing )
		return false;

	global_bool_processing = true;

	$.ajax(
	{
		url: 'do_set_news_is_local_top.php',
		type: 'POST',
		data: 'news_id=' + static_uint_news_id,
		dataType: 'json',
		success: function(jdata)
		{
			if( jdata['RedirectURL'] )
				location.replace(jdata['RedirectURL']);
			else if( jdata['ErrMessage'] != '' )
				alert(jdata['ErrMessage']);
			else if( jdata['ErrCode'] != '1' )
				alert('Error:' + jdata['ErrCode']);

			if( jdata['ErrCode'] == '1' )
			{
				$('#button_is_local_top_' + static_uint_news_id).val('取消新聞置頂');
				$('#button_is_local_top_' + static_uint_news_id).attr('onclick','').unbind('click');
				$('#button_is_local_top_' + static_uint_news_id).click(function(){ do_unset_news_is_local_top(static_uint_news_id); });

				$('#td_is_local_top_' + static_uint_news_id).text('○');
			}

			global_bool_processing = false;
		}
	});

	return true;
}

function do_inactive_news(static_uint_news_id)
{
	if( global_bool_processing )
		return false;

	global_bool_processing = true;

	$.ajax(
	{
		url: 'ajax_do_inactive_news.php',
		type: 'POST',
		data: 'news_id=' + static_uint_news_id,
		dataType: 'json',
		success: function(jdata)
		{
			if( jdata['RedirectURL'] )
				location.replace(jdata['RedirectURL']);
			else if( jdata['ErrMessage'] != '' )
				alert(jdata['ErrMessage']);
			else if( jdata['ErrCode'] != '1' )
				alert('Error:' + jdata['ErrCode']);

			if( jdata['ErrCode'] == '1' )
			{
				$('#button_active_' + static_uint_news_id).val('設為顯示');
				$('#button_active_' + static_uint_news_id).attr('onclick','').unbind('click');
				$('#button_active_' + static_uint_news_id).click(function(){ do_active_news(static_uint_news_id); });

				$('#td_active_' + static_uint_news_id).text('隱藏');
			}

			global_bool_processing = false;
		}
	});

	return true;
}

function do_active_news(static_uint_news_id)
{
	if( global_bool_processing )
		return false;

	global_bool_processing = true;

	$.ajax(
	{
		url: 'ajax_do_active_news.php',
		type: 'POST',
		data: 'news_id=' + static_uint_news_id,
		dataType: 'json',
		success: function(jdata)
		{
			if( jdata['RedirectURL'] )
				location.replace(jdata['RedirectURL']);
			else if( jdata['ErrMessage'] != '' )
				alert(jdata['ErrMessage']);
			else if( jdata['ErrCode'] != '1' )
				alert('Error:' + jdata['ErrCode']);

			if( jdata['ErrCode'] == '1' )
			{
				$('#button_active_' + static_uint_news_id).val('設為隱藏');
				$('#button_active_' + static_uint_news_id).attr('onclick','').unbind('click');
				$('#button_active_' + static_uint_news_id).click(function(){ do_inactive_news(static_uint_news_id); });

				$('#td_active_' + static_uint_news_id).text('顯示');
			}

			global_bool_processing = false;
		}
	});

	return true;
}

function do_delete_news(static_uint_news_id)
{
	if( global_bool_processing )
		return false;

	if( !confirm('確定要刪除此則新聞？') )
		return false;

	global_bool_processing = true;

	$.ajax(
	{
		url: 'ajax_do_delete_news.php',
		type: 'POST',
		data: 'news_id=' + static_uint_news_id,
		dataType: 'json',
		success: function(jdata)
		{
			if( jdata['RedirectURL'] )
				location.replace(jdata['RedirectURL']);
			else if( jdata['ErrMessage'] != '' )
				alert(jdata['ErrMessage']);
			else if( jdata['ErrCode'] != '1' )
				alert('Error:' + jdata['ErrCode']);

			if( jdata['ErrCode'] == '1' )
				$('#tr_' + static_uint_news_id).slideUp();

			global_bool_processing = false;
		}
	});

	return true;
}
//-->
	</script>
</head>

<body<?=( isset($str_init_info) ? ' onLoad="javascript:alert(\'' . $str_init_info . '\');"' : '' )?>>
<? include('_title.php'); ?>
<? include('_menu.php'); ?>
<div id="content">
<h2>新聞管理</h2>
<form name="search_news" onsubmit="return do_search_news();">
<fieldset class="search">
<legend>新聞管理</legend>
依新聞分類篩選：<select name="news_cate_id"><option value="0">顯示全部</option><?
if( $arr_news_cates )
{
	foreach( $arr_news_cates as $arr_row )
		echo('<option value="' . $arr_row['NewsCateId'] . '"' . ( $arr_row['NewsCateId'] == $static_uint_news_cate_id ? ' selected' : '' ) . '>' . $arr_row['NewsCateName'] . '</option>');
}
?></select>
依作者篩選：<select name="author_id"><option value="-1">顯示全部</option><option value="0">編輯室</option><?
if( $arr_authors )
{
	foreach( $arr_authors as $arr_row )
		echo('<option value="' . $arr_row['AuthorId'] . '"' . ( $arr_row['AuthorId'] == $static_int_author_id ? ' selected' : '' ) . '>' . $arr_row['AuthorName'] . '</option>');
}
?></select>
依首頁置頂狀態：<select name="is_top"><option value="-1">顯示全部</option><option value="0"<?=( $static_int_is_top == 0 ? ' selected' : '' )?>>一般</option><option value="1"<?=( $static_int_is_top == 1 ? ' selected' : '' )?>>置頂</option></select>
依新聞置頂狀態：<select name="is_local_top"><option value="-1">顯示全部</option><option value="0"<?=( $static_int_is_local_top == 0 ? ' selected' : '' )?>>一般</option><option value="1"<?=( $static_int_is_local_top == 1 ? ' selected' : '' )?>>置頂</option></select>
依顯示狀態：<select name="active"><option value="-1">顯示全部</option><option value="0"<?=( $static_int_active == 0 ? ' selected' : '' )?>>隱藏</option><option value="1"<?=( $static_int_active == 1 ? ' selected' : '' )?>>顯示</option></select>
<br />
依標題關鍵字查詢：<input class="search_content" type="text" name="subject_keyword" value="<?=$static_str_subject_keyword?>" maxlength="255" />
依日期區間查詢：<input class="search_date" type="text" name="start_date" value="<?=$static_str_start_date?>" maxlength="10" /> 至 <input class="search_date" type="text" name="end_date" value="<?=$static_str_end_date?>" maxlength="10" />
<input class="button" type="submit" value="進行搜尋" />
<input class="button" type="button" value="清除搜尋條件" onclick="location.replace('manage_news.php');" />
<input class="button" type="button" value="新增新聞" onclick="add_news();" />
</fieldset>
</form>
<?
if( !$arr_news )
	echo("<p>目前並無任何資料</p>\n");
else
{
?>
<table class="data_list"><tbody>
<tr><th>日期</th><th>作者</th><th>新聞標題</th><th>首頁置頂</th><th>新聞置頂</th><th>狀態</th><th>管理</th></tr>
<?
	foreach( $arr_news as $n=>$arr_row )
	{
		echo('<tr id="tr_' . $arr_row['NewsId'] . '"><td class="date">' . $arr_row['Date'] . '</td><td class="name">' . ( !$arr_row['AuthorId'] ? '編輯室' : $arr_row['AuthorName'] ) . '</td><td><a href="#"  onclick="edit_news(' . $arr_row['NewsId'] . ');">' . $arr_row['Subject'] . '</a></td><td id="td_is_top_' . $arr_row['NewsId'] . '" class="status">' . ( $arr_row['IsTop'] == 1 ? '○' : '╳' ) . '</td><td id="td_is_local_top_' . $arr_row['NewsId'] . '" class="status">' . ( $arr_row['IsLocalTop'] == 1 ? '○' : '╳' ) . '</td><td id="td_active_' . $arr_row['NewsId'] . '" class="status">' . ( $arr_row['Active'] == 1 ? '顯示' : '隱藏' ) . '</td>');

		echo('<td class="function"><input id="button_is_top_' . $arr_row['NewsId'] . '" type="button" value="' . ( $arr_row['IsTop'] == 1 ? '取消首頁置頂' : '設定首頁置頂' ) . '" onclick="' . ( $arr_row['IsTop'] == 1 ? 'do_unset_news_is_top(' : 'do_set_news_is_top(' ) . $arr_row['NewsId'] . ');" /><input id="button_is_local_top_' . $arr_row['NewsId'] . '" type="button" value="' . ( $arr_row['IsLocalTop'] == 1 ? '取消新聞置頂' : '設定新聞置頂' ) . '" onclick="' . ( $arr_row['IsLocalTop'] == 1 ? 'do_unset_news_is_local_top(' : 'do_set_news_is_local_top(' ) . $arr_row['NewsId'] . ');" /><input id="button_active_' . $arr_row['NewsId'] . '" type="button" value="' . ( $arr_row['Active'] == 1 ? '設為隱藏' : '設為顯示' ) . '" onclick="' . ( $arr_row['Active'] == 1 ? 'do_inactive_news(' : 'do_active_news(' ) . $arr_row['NewsId'] . ');" /><input type="button" value="編輯新聞" onclick="edit_news(' . $arr_row['NewsId'] . ');" /><input type="button" value="管理照片" onclick="manage_news_pictures(' . $arr_row['NewsId'] . ');" /><input type="button" value="管理影片" onclick="manage_news_videos(' . $arr_row['NewsId'] . ');" /><input id="button_delete_' . $arr_row['NewsId'] . '" type="button" value="刪除新聞" onclick="javascript:do_delete_news(' . $arr_row['NewsId'] . ');" /></td></tr>' . "\n");
	}
?>
</table>
<form name="manage_news" action="manage_news.php" method="get">
<fieldset class="page_ctrl">
<input type="hidden" name="news_cate_id" value="<?=$static_uint_news_cate_id?>" /><input type="hidden" name="author_id" value="<?=$static_int_author_id?>" /><input type="hidden" name="subject_keyword" value="<?=$static_str_subject_keyword?>" /><input type="hidden" name="start_date" value="<?=$static_str_start_date?>" /><input type="hidden" name="end_date" value="<?=$static_str_end_date?>" /><input type="hidden" name="is_top" value="<?=$static_int_is_top?>" /><input type="hidden" name="is_local_top" value="<?=$static_int_is_local_top?>" /><input type="hidden" name="active" value="<?=$static_int_active?>" /><input class="button" type="button" value="第一頁" onclick="window.location = 'manage_news.php?news_cate_id=<?=$static_uint_news_cate_id?>&author_id=<?=$static_int_author_id?>&subject_keyword=<?=urlencode($static_str_subject_keyword)?>&start_date=<?=$static_str_start_date?>&end_date=<?=$static_str_end_date?>&is_top=<?=$static_int_is_top?>&is_local_top=<?=$static_int_is_local_top?>&active=<?=$static_int_active?>&row_count=<?=$static_uint_row_count?>&page_no=1';" /> <?
	if( $static_uint_page_no <= 1 )
		echo('<input class="button" type="button" value="已至第一頁" disabled /> ');
	else
		echo('<input class="button" type="button" value="←上一頁" onclick="window.location = \'manage_news.php?news_cate_id=' . $static_uint_news_cate_id . '&author_id=' . $static_int_author_id . '&subject_keyword=' . urlencode($static_str_subject_keyword) . '&start_date=' . $static_str_start_date . '&end_date=' . $static_str_end_date . '&is_top=' . $static_int_is_top . '&is_local_top=' . $static_int_is_local_top . '&active=' . $static_int_active . '&row_count=' . $static_uint_row_count . '&page_no=' . ( $static_uint_page_no - 1 ) . '\';" /> ');

	if( $static_uint_page_no >= $arr_page_info['PageCount'] )
		echo('<input class="button" type="button" value="已至最後一頁" disabled /> ');
	else
		echo('<input class="button" type="button" value="下一頁→" onclick="window.location = \'manage_news.php?news_cate_id=' . $static_uint_news_cate_id . '&author_id=' . $static_int_author_id . '&subject_keyword=' . urlencode($static_str_subject_keyword) . '&start_date=' . $static_str_start_date . '&end_date=' . $static_str_end_date . '&is_top=' . $static_int_is_top . '&is_local_top=' . $static_int_is_local_top . '&active=' . $static_int_active . '&row_count=' . $static_uint_row_count . '&page_no=' . ( $static_uint_page_no + 1 ) . '\';" /> ');
?><input class="button" type="button" value="最後一頁" onclick="window.location = 'manage_news.php?news_cate_id=<?=$static_uint_news_cate_id?>&author_id=<?=$static_int_author_id?>&subject_keyword=<?=urlencode($static_str_subject_keyword)?>&start_date=<?=$static_str_start_date?>&end_date=<?=$static_str_end_date?>&is_top=<?=$static_int_is_top?>&is_local_top=<?=$static_int_is_local_top?>&active=<?=$static_int_active?>&row_count=<?=$static_uint_row_count?>&page_no=<? echo($arr_page_info['PageCount']); ?>';" />　每頁顯示<input class="page_content" type="text" name="row_count" value="<?=$static_uint_row_count?>" size="3" onchange="document.manage_news.page_no.value = '1';" />筆資料，共<?=$arr_page_info['PageCount']?>頁，到第<input class="page_content" type="text" name="page_no" value="<?=$static_uint_page_no?>" size="2" />頁<input class="page_submit" type="submit" value="→" />
</fieldset>
</form>
<?
}
?>
</div>
<? include('_footer.php'); ?>
</body>

</html>